Package org.apache.torque.manager

## Class AbstractBaseManagerTest

- java.lang.Object
- - org.apache.torque.manager.AbstractBaseManagerTest

- All Implemented Interfaces:
    `CacheListener<TestPersistent>`

      public class AbstractBaseManagerTest
      extends Object
      implements CacheListener<TestPersistent>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractBaseManagerTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addedObject​(TestPersistent om)` |
    `List<Column>` | `getInterestedFields()` |
    `static void` | `initTorque()` |
    `void` | `refreshedObject​(TestPersistent om)` |
    `void` | `removedObject​(TestPersistent om)` |
    `void` | `setUp()` |
    `static void` | `shutdownTorque()` |
    `void` | `tearDown()` |
    `void` | `testCacheGet()` |
    `void` | `testClearImpl()` |
    `void` | `testGetMethodResultCache()` |
    `void` | `testGetOMInstance()` |
    `void` | `testGetOMInstanceObjectKey()` |
    `void` | `testGetOMInstanceObjectKeyBoolean()` |
    `void` | `testListeners()` |
    `void` | `testPutInstanceImplSerializableT()` |
    `void` | `testRemoveInstanceImpl()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBaseManagerTest

          public AbstractBaseManagerTest()

  - ### Method Detail

    - #### initTorque

          @BeforeAll
          public static void initTorque()

    - #### shutdownTorque

          @AfterAll
          public static void shutdownTorque()

    - #### addedObject

          public void addedObject​(TestPersistent om)

      Specified by:
        `addedObject` in interface `CacheListener<TestPersistent>`

    - #### refreshedObject

          public void refreshedObject​(TestPersistent om)

      Specified by:
        `refreshedObject` in interface `CacheListener<TestPersistent>`

    - #### removedObject

          public void removedObject​(TestPersistent om)

      Specified by:
        `removedObject` in interface `CacheListener<TestPersistent>`

    - #### getInterestedFields

          public List<Column> getInterestedFields()

      Specified by:
        `getInterestedFields` in interface `CacheListener<TestPersistent>`

    - #### setUp

          @BeforeEach
          public void setUp()
                     throws Exception

      Throws:
        `Exception`

    - #### tearDown

          @AfterEach
          public void tearDown()
                        throws Exception

      Throws:
        `Exception`

    - #### testGetOMInstance

          @Test
          public void testGetOMInstance()
                                 throws TorqueException

      Throws:
        `TorqueException`

    - #### testGetOMInstanceObjectKey

          @Test
          public void testGetOMInstanceObjectKey()
                                          throws TorqueException

      Throws:
        `TorqueException`

    - #### testGetOMInstanceObjectKeyBoolean

          @Test
          public void testGetOMInstanceObjectKeyBoolean()
                                                 throws TorqueException

      Throws:
        `TorqueException`

    - #### testCacheGet

          @Test
          public void testCacheGet()
                            throws TorqueException

      Throws:
        `TorqueException`

    - #### testClearImpl

          @Test
          public void testClearImpl()
                             throws TorqueException

      Throws:
        `TorqueException`

    - #### testRemoveInstanceImpl

          @Test
          public void testRemoveInstanceImpl()
                                      throws TorqueException

      Throws:
        `TorqueException`

    - #### testPutInstanceImplSerializableT

          @Test
          public void testPutInstanceImplSerializableT()
                                                throws TorqueException

      Throws:
        `TorqueException`

    - #### testGetMethodResultCache

          @Test
          public void testGetMethodResultCache()

    - #### testListeners

          @Test
          public void testListeners()